#
# spec file for package mousepad
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mousepad
Version:        0.4.0
Release:        1.3
Summary:        Simple Text Editor for Xfce
License:        GPL-2.0+
Group:          Productivity/Editors/Other
Url:            http://goodies.xfce.org/projects/applications/mousepad
Source:         http://archive.xfce.org/src/apps/mousepad/0.4/mousepad-%{version}.tar.bz2
BuildRequires:  intltool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(gtksourceview-2.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Mousepad is a simple text editor for Xfce.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

%find_lang %{name} %{?no_lang_C}

%suse_update_desktop_file %{name}

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS NEWS ChangeLog README COPYING
%{_bindir}/mousepad
%{_datadir}/applications/mousepad.desktop
%{_datadir}/glib-2.0/schemas/org.xfce.mousepad.gschema.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Feb 28 2015 gber@opensuse.org
- update to version 0.4.0
  - Use GSettings to improve preference handling
  - A new preferences dialog exposing all preferences in the GUI
  - Implement config and GUI preferences for various GtkSourceView
    properties such as:
  - Highlighting the current line
  - Match braces
  - Indentation width control
  - Right margin (long-line margin) column
  - Showing/hiding of line numbers
  - Smart home and end keys
  - Improved GUI configurability and state persistence, including:
  - A toolbar for commonly used items
  - Fullscreen support
  - Main menu re-organization
  - Improved editor context menu
  - Improved single-instance multi-window support
  - Remember and synchronize size, position, and state, across
    windows and instances
  - Support for building against GTK+ 3
  - Various other improvements and bugs fixed
- drop obsolete
  mousepad-fix-syntax-highlighting-and-creating-new-file.patch
* Sun May 11 2014 trcs@gmx.com
- add mousepad-fix-syntax-highlighting-and-creating-new-file.patch
  * fix bug https://bugzilla.xfce.org/show_bug.cgi?id=10134
* Sun Dec 30 2012 gber@opensuse.org
- initial packaging of the new development version
